Name:           python-debugpy
Version:        1.6.7
Release:        1
Summary:        An implementation of the Debug Adapter Protocol for Python

License:        MIT
URL:            https://github.com/microsoft/debugpy
Source0:        %{url}/archive/%{version}/debugpy-%{version}.tar.gz

%description
debugpy is an implementation of the Debug Adapter Protocol for Python.

%package -n     python3-debugpy
Summary:        %{summary}
Provides:       python-debugpy

# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pbr
BuildRequires:  python3-hatchling

%description -n python3-debugpy
debugpy is an implementation of the Debug Adapter Protocol for Python.

%prep
%autosetup -n debugpy-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-debugpy
%license LICENSE
%doc README.md
%{python3_sitearch}/debugpy-*.egg-info/
%{python3_sitearch}/debugpy/

%changelog
* Tue Aug 1 2023 mengzhaoa <mengzhaoa@isoftstone.com> - 1.6.7-1
- Init package python-debugpy of version 1.6.7
